// ============================================================================
// ==                                                                        ==
// == AMDiS - Adaptive multidimensional simulations                          ==
// ==                                                                        ==
// ==  http://www.amdis-fem.org                                              ==
// ==                                                                        ==
// ============================================================================
//
// Software License for AMDiS
//
// Copyright (c) 2010 Dresden University of Technology 
// All rights reserved.
// Authors: Simon Vey, Thomas Witkowski et al.
//
// This file is part of AMDiS
//
// See also license.opensource.txt in the distribution.



/** \file PetscSolverFetiMonitor.h */

#ifndef AMDIS_PETSC_SOLVER_FETI_MONITOR_H
#define AMDIS_PETSC_SOLVER_FETI_MONITOR_H

#include <mpi.h>
#include <petsc.h>

namespace AMDiS {

  PetscErrorCode KSPMonitorFetiStokes(KSP ksp, PetscInt n, PetscReal rnorm, void *data);
  
}

#endif
